%define BUILD_INN 0
Name: suck
Version: 4.3.2
Release: alt2

Summary: suck - download news from remote NNTP server
Source: %name-%version.tar.gz
Source1: sample.tar.gz
Source2: active-ignore
Patch0: %name-warn.patch
Patch1: %name-4.3.2-alt-configure.patch
Patch2: %name-4.3.2-rpost-ssl-alt.patch
URL: http://www.sucknews.org/
License: Public Domain
Group: Networking/News

BuildRequires: libdante libssl openssl-devel
%if %BUILD_INN
BuildRequires: inn-devel
%endif

%description
This package contains software for copying news from an NNTP server to your
local machine, and copying replies back up to an NNTP server.  It works
with most standard NNTP servers, including INN, CNEWS, DNEWS, and typhoon.

%prep
%setup -D -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%__autoconf
%if %BUILD_INN
%configure --enable-inn
%else
%configure
%endif
%make

%install
%makeinstall
%__mkdir_p $RPM_BUILD_ROOT%_man1dir 
%__mv $RPM_BUILD_ROOT%_mandir/*.1 $RPM_BUILD_ROOT/%_man1dir
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/sucknews/
%__install -m 664 %SOURCE2 $RPM_BUILD_ROOT%_localstatedir/sucknews
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/sucknews/Msgs
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/sucknews/tmp

%files
%doc README CHANGELOG sample/{get,put}.news sample/put.news.sm
%_bindir/*
%_man1dir/*
%attr (3770,root,news) %dir %_localstatedir/sucknews
%attr (3770,root,news) %dir %_localstatedir/sucknews/Msgs
%attr (3770,root,news) %dir %_localstatedir/sucknews/tmp
%attr (660,root,news) %_localstatedir/sucknews/active-ignore

%changelog
* Wed Oct 01 2003 Sergey Budnevitch <svb@altlinux.ru> 4.3.2-alt2
- Fixed SSL support in rpost (Alexander Bokovoy)

* Sun Jul 06 2003 Sergey Budnevitch <svb@altlinux.ru> 4.3.2-alt1
- 4.3.2
- Adjusted patch

* Sun Oct 20 2002 Sergey Budnevitch <svb@altlinux.ru> 4.3.1-alt1
- 4.3.1
- Fixed typo in filename active-ignore
- Fixed directories permissions according to ALT SPP
- Removed suck-inn-2.3.patch
- Added suck-4.3.1-alt-configure.patch to provide 
  --enable-inn configure option

* Thu Apr 04 2002 Sergey Budnevitch <svb@altlinux.ru> 4.3.0-alt3
- inn support disabled by default
- build with ssl

* Wed Dec 12 2001 Sergey Budnevitch <svb@altlinux.ru>
- Fixed sample scripts

* Wed Sep 19 2001 Sergey Budnevitch <svb@altlinux.ru>
- 4.3.0
- Automatically added BuildRequires

* Thu Jun 14 2001 Sergey Budnevitch <fabler@mtu.ru>
- new version
- ALT Linux adaptations

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.2.4-2mdk
- rebuild

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.4-1mdk
- updated to 4.2.4
- BM
- macros
